#ifndef CMWCALICOAT_H
#define CMWCALICOAT_H

#include "cmwidget.h"
#include "cmwcalitablecleaning.h"
#include "cmwcalicleancoatfluid.h"

namespace Ui {
class CMWCaliCoat;
}

class CMWCaliCoat : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCaliCoat(QWidget *parent = 0, bool bIsSetting=false);
    ~CMWCaliCoat();
    void MInit();
    void MTimeFresh();
    CMWCaliTableCleaning* m_pMWCleanTable;
	CMWCaliCleanCoatFluid* m_pMWCleanCoatFluid;
private slots:

    void on_pushButton_CurtainOpened_clicked(bool checked);

    void on_pushButton_CoatHandUp_clicked(bool checked);

    void on_pushButton_TwoFluidOpen_clicked(bool checked);

    void on_pushButton_Dryopen_clicked(bool checked);

    void on_pushButton_Bump_clicked();

    void on_pushButton_Spray_clicked();

    void on_btnReplaceCoatFluid_clicked();

    void on_pushButton_WaterOpen_clicked(bool checked);

	void on_pushButton_Export_clicked();

	void freshButtonStatus(int iSMID, int iStateId, QPushButton* pBtn);
private:
    Ui::CMWCaliCoat *ui;
	bool m_bSetting;
};

#endif // CMWCALICOAT_H
